#
# spec file for package telnet (Version 1.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         telnet
Copyright:    BSD
Group:        Networking/Utilities
Provides:     nkitb:/usr/bin/telnet
Autoreqprov:  on
Version:      1.0
Release:      98
Summary:      Client program for the telnet remote login protocol
Requires:     netcfg
BuildRoot:    %{_tmppath}/telnet-root
Source:       telnet-bsd-%{version}.tar.bz2
Patch:        telnet-bsd-%{version}.dif

%description
Telnet is a popular protocol for logging into remote systems.

SuSE series: n

%package server
Version:      1.0
Release:      98
Summary:      Server program for the telnet remote login protocol
Group:        Networking/Daemons
Requires:     netcfg
Provides:     nkitserv:/usr/sbin/in.telnetd
Obsoletes:    nkitserv
Autoreqprov:  on

%description server
Telnet is a popular protocol for logging into remote systems. This
package provides the telnet daemon, which will allow remote logins
into this machine.

SuSE series: n

%prep
%setup -n telnet-bsd-%{version}
%patch

%build
env CFLAGS="$RPM_OPT_FLAGS" ./configure
make

%install
rm -Rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man5
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man8
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYING ChangeLog README NEWS
/usr/bin/telnet
%doc %{_mandir}/man1/telnet.1.gz

%files server
%doc COPYING ChangeLog README NEWS
%doc %{_mandir}/man8/in.telnetd.8.gz
%doc %{_mandir}/man8/telnetd.8.gz
%doc %{_mandir}/man5/issue.net.5.gz
/usr/sbin/in.telnetd

%changelog -n telnet
* Tue Aug 14 2001 - kukuk@suse.de
- Add more fixes for possible security problems
* Fri Jul 27 2001 - kukuk@suse.de
- Add fix for possible problems with buffer overruns
* Mon Apr 02 2001 - kukuk@suse.de
- Add Obsolete for nkitserv
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Tue Mar 13 2001 - kukuk@suse.de
- Initial package, split from nkitb
